org.eclipse.jgit.errors

## Class RevisionSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.eclipse.jgit.errors.RevisionSyntaxException

All Implemented Interfaces:
  Serializable

    public class RevisionSyntaxException
    extends IllegalArgumentException

This signals a revision or object reference was not properly formatted.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RevisionSyntaxException(String revstr)` Construct a RevisionSyntaxException indicating a syntax problem with a revision (or object) string.
`RevisionSyntaxException(String message, String revstr)` Construct a RevisionSyntaxException indicating a syntax problem with a revision (or object) string.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevisionSyntaxException

    public RevisionSyntaxException(String revstr)

Construct a RevisionSyntaxException indicating a syntax problem with a revision (or object) string.

Parameters:
  `revstr` - The problematic revision string

#### RevisionSyntaxException

    public RevisionSyntaxException(String message,
                                   String revstr)

Construct a RevisionSyntaxException indicating a syntax problem with a revision (or object) string.

Parameters:
  `message` - a specific reason
  `revstr` - The problematic revision string

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`